%define upstream_name    CGI-Auth
%define upstream_version 3.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Simple session-based password authentication for CGI applications
License:	BSD-like
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/C/CC/CCWALLACE/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
"CGI::Auth" provides password authentication for web-based applications. It
uses server-based session files which are referred to by a parameter in all
links and forms inside the scripts guarded by "CGI::Auth".

At the beginning of each script, a "CGI::Auth" object should be created and its
"check" method called. When this happens, "check" checks for a 'session_file'
CGI parameter. If that parameter exists and has a matching session file in the
session directory, "check" returns, and the rest of the script can execute.

If the session file parameter or the file itself doesn't exist, "check"
presents the user with a login form and exits the script. The login form will
then be submitted to the same script (specified in "-formaction"). When "check"
is called this time, it verifies the user's login information in the userfile,
creates a session file and provides the session file parameter to the rest of
the script.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#%%check
#make test

%install
%make_install

%files
%doc Changes README extra
%{perl_vendorlib}/CGI/*
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.0.0-14.mga9
+ Revision: 1802315
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-13.mga8
+ Revision: 1493491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.0.0-12.mga7
+ Revision: 1265995
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 3.0.0-11.mga6
+ Revision: 1023434
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.0.0-10.mga6
+ Revision: 942932
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-9.mga5
+ Revision: 741258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-8.mga5
+ Revision: 683637
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.0-7.mga4
+ Revision: 509357
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.0.0-6.mga3
+ Revision: 363517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 3.0.0-5.mga1
+ Revision: 9746
- imported package perl-CGI-Auth


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 3.0.0-5mdv2010.1
+ Revision: 504598
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 3.00-4mdv2010.0
+ Revision: 430302
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.00-3mdv2009.0
+ Revision: 241164
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 3.00-1mdv2008.0
+ Revision: 26732
- disable the tests for now because of unknown iurt problems
- fix deps
- Import perl-CGI-Auth



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 3.00-1mdv2007.1
- initial Mandriva package 
